Mail archive
alpine-aports

[alpine-aports] [PATCH v2] testing/exim: upgrade to 4.89

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 8 Mar 2017 23:52:16 +0200

- APKBUILD cleanups and improve redability
- add redis lookup backend support
- rewrite lookup backends building in APKBUILD
- rename lookup backends subpackages to exim-lookup_$backend
  and make it provides its old exim-$backend subpackages name.

---
v1 -> v2: remade exim-lookup_pgsql to provide compatibility
          name exim-postgresql and remove exim-postgresql subpackage.
---
 testing/exim/APKBUILD      | 65 ++++++++++++++++++++++++++--------------------
 testing/exim/exim.Makefile |  2 ++
 2 files changed, 39 insertions(+), 28 deletions(-)
diff --git a/testing/exim/APKBUILD b/testing/exim/APKBUILD
index a25f5e58e1..390b12237e 100644
--- a/testing/exim/APKBUILD
+++ b/testing/exim/APKBUILD
_at_@ -4,27 +4,35 @@
 # Contributor: Jesse Young <jlyo_at_jlyo.org>
 # Maintainer: Jesse Young <jlyo_at_jlyo.org>
 pkgname=exim
-pkgver=4.88
-pkgrel=2
-pkgdesc="A Message Transfer Agent"
+pkgver=4.89
+pkgrel=0
+pkgdesc="EXIM - A Message Transfer Agent"
 url="http://www.exim.org/"
 arch="all"
 license="GPL2"
-options="suid"
+options="suid !check"
 depends="ca-certificates"
 pkgusers="exim"
 pkggroups="exim"
 makedepends="bash gawk perl $depends_dev db-dev pcre-dev libressl-dev libspf2-dev mariadb-dev
-	postgresql-dev sqlite-dev libidn-dev linux-headers"
+	postgresql-dev sqlite-dev libidn-dev linux-headers hiredis-dev
+	"
 install="exim.pre-install"
-subpackages="$pkgname-cdb $pkgname-dbmdb $pkgname-dnsdb $pkgname-sqlite $pkgname-mysql $pkgname-postgresql
-	$pkgname-utils $pkgname-scripts::noarch $pkgname-doc"
+subpackages="$pkgname-doc $pkgname-utils $pkgname-scripts::noarch
+	$pkgname-lookup_dbmdb:_lookup
+	$pkgname-lookup_dnsdb:_lookup
+	$pkgname-lookup_mysql:_lookup
+	$pkgname-lookup_pgsql:_pgsql
+	$pkgname-lookup_redis:_lookup
+	$pkgname-lookup_sqlite:_lookup
+	"
 source="ftp://ftp.exim.org/pub/exim/exim4/$pkgname-$pkgver.tar.bz2
-	exim.Makefile
-	exim.confd
-	exim.initd
-	exim.logrotate
-	exim.gencert"
+	$pkgname.Makefile
+	$pkgname.confd
+	$pkgname.initd
+	$pkgname.logrotate
+	$pkgname.gencert
+	"
 builddir="$srcdir/$pkgname-$pkgver"
 
 prepare() {
_at_@ -53,7 +61,7 @@ package() {
 	mv exim-${pkgver%.*}* exim
 	chmod u+s exim
 	for i in mailq rmail rsmtp runq sendmail newaliases; do
-		ln -s exim $i
+		ln -s /usr/sbin/exim $i
 	done
 	install -Dm644 "$srcdir"/$pkgname.logrotate "$pkgdir"/etc/logrotate.d/$pkgname
 	install -Dm644 "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
_at_@ -66,8 +74,8 @@ package() {
 }
 
 scripts() {
-	pkgdesc="exim scripts"
-	depends="exim perl"
+	pkgdesc="$pkgdesc (scripts)"
+	depends="$pkgname perl"
 	cd "$builddir"
 	make	DESTDIR="$subpkgdir" \
 		INSTALL_ARG="exicyclog exim_checkaccess eximstats exiqgrep exigrep exinext exiqsumm exipick exiwhat convert4r3 convert4r4" \
_at_@ -76,8 +84,8 @@ scripts() {
 }
 
 utils() {
-	pkgdesc="exim utils"
-	depends="exim"
+	pkgdesc="$pkgdesc (utils)"
+	depends="$pkgname"
 	cd "$builddir"
 	make	DESTDIR="$subpkgdir" \
 		INSTALL_ARG="exim_dbmbuild exim_dumpdb exim_tidydb exim_fixdb exim_lock" \
_at_@ -86,21 +94,22 @@ utils() {
 	rm -fr "$subpkgdir"/etc
 }
 
-_mv_ext() {
-	pkgdesc="EXIM extension: $1"
+_lookup() {
+	local name=${subpkgname#$pkgname-lookup_}
+	pkgdesc="EXIM lookup backend: $name"
 	depends="$pkgname"
-	install -D -m755 "$builddir"/build-Linux-*/lookups/$1.so "$subpkgdir"/usr/lib/$pkgname/$1.so
+	provides="$pkgname-$name"
+	install -D -m755 "$builddir"/build-Linux-*/lookups/$name.so \
+		"$subpkgdir"/usr/lib/$pkgname/$name.so
 }
 
-sqlite() { _mv_ext sqlite; }
-mysql() { _mv_ext mysql; }
-postgresql() { _mv_ext pgsql; }
-cdb() { _mv_ext cdb; }
-dbmdb() { _mv_ext dbmdb; }
-dnsdb() { _mv_ext dnsdb; }
+_pgsql() {
+	_lookup || return 1
+	provides="$pkgname-postgresql"
+}
 
-sha512sums="ea094bf703628c201de119fc5f09539475e52158e935f8f2a9e4138c4a1bfe885017145c3cc5e22aa9087b195091955c69385ebf1ea0baec64ed5c1b8e3b1caf  exim-4.88.tar.bz2
-c0733014f52d78e3380c018109cf5628b498cea29e901344598ff128d9f3a190766ce9a5858f4fff6fc4b1c6f921dd1a3589f566eebc1f0ec709d2a8da2bbd82  exim.Makefile
+sha512sums="1e059966a93b47f055ab4ec2a4556f2c918aff56ea0367585f3a853f00411e9c275e13be4f9ae615a468fa06263135cd6a138fa1753f1b7fb3259a3321fcca65  exim-4.89.tar.bz2
+8c0fc93fa18d81a9bba90404a41262748f175637027716171fc4b0d5b019d14b71a924d6b36f484ffb2279a18b9e6711f8583924995512ec9574597c57de4739  exim.Makefile
 bb6f5ead067af19ace661cc92bcd428da97570aedd1f9dc5b61a34e7e3fb3e028be6c96d51df73353bdfcaf69a3ee053fb03d245f868d63ebf518aa96ec82d66  exim.confd
 3769e74a54566362bcdf57c45fbf7d130d7a7529fbc40befce431eef0387df117c71a5b57779c507e30d5b125913b5f26c9d16b17995521a1d94997be6dc3e02  exim.initd
 28e748693a6a72d9943fa9c342ff041fe650fa6977f468dee127e845e6c2a91872ce33fb6f5698838906bde3ed92de7a91cdb0349cedc40b806261867e8c06cb  exim.logrotate
diff --git a/testing/exim/exim.Makefile b/testing/exim/exim.Makefile
index c372d73016..b3b618c2c6 100644
--- a/testing/exim/exim.Makefile
+++ b/testing/exim/exim.Makefile
_at_@ -29,6 +29,8 @@ LOOKUP_MYSQL_LIBS=-Wl,--no-as-needed -lmysqlclient
 LOOKUP_PGSQL=2
 LOOKUP_PGSQL_INCLUDE=-I/usr/include/postgresql
 LOOKUP_PGSQL_LIBS=-Wl,--no-as-needed -lpq
+LOOKUP_REDIS=2
+LOOKUP_REDIS_LIBS=-Wl,--no-as-needed -lhiredis
 LOOKUP_SQLITE=2
 LOOKUP_SQLITE_LIBS=-Wl,--no-as-needed -lsqlite3
 PCRE_CONFIG=yes
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Mar 08 2017 - 23:52:16 GMT